<template>
  <v-row justify="center" v-if="store.buying.length">
    <v-col cols="12" md="9" lg="8" xl="7">
      <h1>The movies you are Buying</h1>
    </v-col>
    <v-col cols="12" md="9" lg="8" xl="7">
      <CartItem
        v-for="(movie, index) in store.buying"
        :key="index"
        :index="index"
        :item="movie"
        type="buying"
        class="mb-3"
      ></CartItem>
    </v-col>
  </v-row>
  <v-row justify="center" v-if="store.renting.length">
    <v-col cols="12" md="9" lg="8" xl="7">
      <h1>The movies you are Renting</h1>
    </v-col>
    <v-col cols="12" md="9" lg="8" xl="7">
      <CartItem
        v-for="(movie, index) in store.renting"
        :key="index"
        :index="index"
        :item="movie"
        type="renting"
        class="mb-3"
      ></CartItem>
    </v-col>
  </v-row>
  <v-row justify="center">
    <v-col cols="12" md="9" lg="8" xl="7">
      <v-card class="mb-3">
        <v-card-title> Details of your Order </v-card-title>
        <v-card-text>
          <strong>Buying:</strong> {{ store.buying.length }} <br />
          <strong>Renting:</strong>
          {{ store.renting.length }}
          <br />
          <strong>Total:</strong>
          {{ store.quantity }}
        </v-card-text>
      </v-card>

      <v-btn
        block
        color="success"
        v-if="store.quantity"
        @click="finishOrder"
        size="x-large"
        class="mb-5"
      >
        Finish Order
      </v-btn>
      <v-btn
        block
        color="success"
        variant="outlined"
        v-if="store.quantity"
        @click="$router.push('/')"
      >
        Go back
      </v-btn>
      <template v-else>
        No Items in Cart. Click here to
        <v-btn color="success" variant="outlined" size="small" @click="$router.push('/')">
          Search Movies
        </v-btn>
      </template>
    </v-col>
  </v-row>
</template>

<script setup>
import CartItem from '../components/CartItem.vue'
import { cartStore } from '../stores/cart'
import router from '@/router'
const store = cartStore()

function finishOrder() {
  store.$reset()
  router.push('/thank-you')
}
</script>
